<div class="modal-header">
    <h3>Add New Recommendation</h3>
</div>

<div class="modal-body col-xs-12 createAdvertisementModal">

    <div class="form-group col-sm-12 row">
        <!-- Shop FILTER -->
        <div class="form-group col-sm-6">
            <label>Post code</label>
            <ui-select multiple
                       ng-model="vm.meta.postCode"
                       theme="bootstrap"
                       ng-pattern="/\d{4}/"
                       class="col-xs-12"
                       on-remove="vm.readShops('update', {page: 1})"
                       on-select="vm.readShops('update', {page: 1})">
                <ui-select-match placeholder="Select post codes...">{{$item}}</ui-select-match>
                <ui-select-choices repeat="code in vm.codes | filter:$select.search"
                                   refresh="vm.refreshCodes($select.search)">
                    <div ng-bind-html="code | highlight: $select.search"></div>
                </ui-select-choices>
            </ui-select>
        </div>
        <div class="form-group col-sm-6">
            <label>Shop Name</label>
            <input type="text" class="form-control" placeholder="Enter shop name" ng-model="vm.shops_meta.query"
                   ng-change="vm.readShops('update', {page: 1})">
        </div>
        <!-- /Shop FILTER -->

    </div>
    <!-- SHOP LIST -->
    <div class="form-group col-sm-6">
        <table class="table table-hover">
            <thead>
            <tr>
                <th class="text-center">Shops</th>
            </tr>
            </thead>
            <tbody>
            <tr ng-repeat="shop in vm.shops" ng-click="vm.selectShop(shop)"
                ng-class="shop.id == vm.selected.shop.id ? 'info' : ''">
                <td width="80%" ng-bind="shop.name"></td>
                <td width="20%" ng-bind="shop.postCode"></td>
            </tr>
            </tbody>
        </table>
        <!--pagination-->
        <div class="col-sm-12 text-center">
            <uib-pagination ng-if="vm.shops_meta.totalCount > vm.shops_meta.limit"
                            total-items="vm.shops_meta.totalCount" items-per-page="vm.shops_meta.limit"
                            ng-model="vm.shops_meta.page" max-size="4" rotate="false"
                            ng-change="vm.readShops()"></uib-pagination>
        </div>
        <!--/pagination-->
    </div>

    <!-- ITEMS LIST -->
    <div class="form-group col-sm-6">
        <table class="table table-hover">
            <thead>
            <tr>
                <th class="text-center">Items</th>
            </tr>
            </thead>
            <tbody>
            <tr ng-repeat="item in vm.items" ng-click="vm.selectItem(item)"
                ng-class="item.id == vm.selected.item.id ? 'info' : ''">
                <td ng-bind="item.name"></td>
            </tr>
            </tbody>
        </table>
        <!--pagination-->
        <div class="col-sm-12 text-center">
            <uib-pagination ng-if="vm.items_meta.totalCount > vm.items_meta.limit"
                            total-items="vm.items_meta.totalCount" max-size="4" rotate="false"
                            items-per-page="vm.items_meta.limit" ng-model="vm.items_meta.page"
                            ng-change="vm.readShopItems()"></uib-pagination>
        </div>
        <!--/pagination-->
    </div>

    <div class="form-group col-sm-12" ng-if="vm.selected.item">
        <p class="text-center">Add Recommendation</p>

        <!--ADD NEW ADVERTISEMENT FORM-->
        <form name="advertisementForm" novalidate
              ng-submit="vm.createAdvertisement(advertisementForm.$valid, vm.itemAdvertising)">
            <div class="col-xs-12 clearfix">
                <div class="col-sm-6">
                    <label class="col-xs-12">Start date:</label>

                    <p class="input-group">
                        <input type="text" class="form-control" name="from" ng-model="vm.itemAdvertising.from"
                               uib-datepicker-popup="{{vm.configModals.format}}"
                               datepicker-options="vm.configModals.fromOptions"
                               alt-input-formats="vm.configModals.altInputFormats"
                               is-open="vm.configModals.opened[1]"
                               readonly="true" 
                               ng-change="vm.setDateRangeByFrom(vm.itemAdvertising.from)"
                               required/>
                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary" ng-click="vm.configModals.open(1)">
                                <i class="glyphicon glyphicon-calendar"></i>
                            </button>
                        </span>
                    </p>
                    <ng-messages for="advertisementForm.from.$error" role="alert" ng-if="vm.submitted">
                        <ng-messages-include src="error-messages">...</ng-messages-include>
                    </ng-messages>
                </div>

                <div class="col-sm-6">
                    <label class="col-xs-12">End date:</label>

                    <p class="input-group">
                        <input type="text" class="form-control" name="to" ng-model="vm.itemAdvertising.to"
                               uib-datepicker-popup="{{vm.configModals.format}}"
                               datepicker-options="vm.configModals.toOptions"
                               alt-input-formats="vm.configModals.altInputFormats"
                               ng-change="vm.setDateRangeByTo(vm.itemAdvertising.to)"
                               is-open="vm.configModals.opened[2]"
                               readonly="true" 
                               required/>
                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary" ng-click="vm.configModals.open(2)">
                                <i class="glyphicon glyphicon-calendar"></i>
                            </button>
                        </span>
                    </p>
                    <ng-messages for="advertisementForm.to.$error" role="alert" ng-if="vm.submitted">
                        <ng-messages-include src="error-messages">...</ng-messages-include>
                    </ng-messages>
                </div>
            </div>
            <div class="col-xs-12 clearfix">
                <button class="btn btn-warning center-block" type="submit">Save</button>
            </div>
        </form>
    </div>
</div>
<div class="modal-footer"></div>

<!--error messages template-->
<script type="text/ng-template" id="error-messages">
    <div ng-message="required">This field is required!</div>
</script>